/* mdm.h global declarations */

/* switch for macro EXTERN */

#ifdef MDM_CALC
#define EXTERN
#else
#define EXTERN extern
#endif

/* Constants : maximal sizes of tables */

#define LOCUS 50     /* maximum size for loci */
#define GENO 200   /* maximum size for the number 
			of genotypes / generations */
#define N 10         /* maximum number of corresponding TGs for 
			a given OG code */
#define P N          /* maximum number of OG codes */
#define CHROMO 30    /* maximum number of chromosomes */
#define POSITIONS 2000 /* maximum number of scanned positions by chromosome */

EXTERN int nball;    /* number of alleles */

EXTERN void mdm_calc(int, int, int, double [], 
		     int, int [][], char [][], int [][], int, int [][],
		     int, double, int [], int [], int [],
		     double [], double [][]);


struct {                  /* Structure used to store the relationships
			     between OGs and TGs */
    int len;              /* codage[i].len : number of possible 
			     TGs for the code i of the OGs */
    int possible[N][2];   /* codage[i].possible[j][0] and 
			     codage[i].possible][j][1] are respectively 
			     the maternal and paternal allele of the jth 
			     TG related to 
			     the code i (OG) */    
} coding_system[P];


/* grafgen spec */
int rgb[3]; /* RGB codes for plotting */
extern void thresh(double);
extern void BW(double);
extern void heat(double);
extern void bluewhitered(double);
extern double ttest_pval(double);
